public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi3/
@ 2023-12-01 15:22 Viorel Munteanu
  0 siblings, 0 replies; 2+ messages in thread
From: Viorel Munteanu @ 2023-12-01 15:22 UTC (permalink / raw
  To: gentoo-commits

commit:     129c9b59114392f4ac29952046e5d0a3e56e88ab
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  1 15:00:46 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Dec  1 15:13:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=129c9b59

dev-python/openapi3: new package, add 1.8.2

Move from ::guru.
Switch from pypi to github to have at least some tests.

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 dev-python/openapi3/Manifest              |  1 +
 dev-python/openapi3/metadata.xml          | 11 +++++++++++
 dev-python/openapi3/openapi3-1.8.2.ebuild | 33 +++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-python/openapi3/Manifest b/dev-python/openapi3/Manifest
new file mode 100644
index 000000000000..697d01605b7e
--- /dev/null
+++ b/dev-python/openapi3/Manifest
@@ -0,0 +1 @@
+DIST openapi3-1.8.2.gh.tar.gz 41402 BLAKE2B a22af8ce1d1c94f3dd2b5f1871222c8c2ec902e9f8b5b065a9a3dd8143ed361df4b26438215e88ac416b6012b015a38c9709b9ed290aaf5cfdaff5b2d1d439f7 SHA512 5555ef0495f7d459fabef98c56da4b1b9d758aa06c4dc83adf1388c044dd0f6b09b933e105ef8665737359fbf98b9699ca2d7127ead2aa86e3f99682b29dbf1e

diff --git a/dev-python/openapi3/metadata.xml b/dev-python/openapi3/metadata.xml
new file mode 100644
index 000000000000..b0af68e225aa
--- /dev/null
+++ b/dev-python/openapi3/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+	<maintainer type="person">
+		<email>ceamac@gentoo.org</email>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">openapi3</remote-id>
+		<remote-id type="github">Dorthu/openapi3</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/openapi3/openapi3-1.8.2.ebuild b/dev-python/openapi3/openapi3-1.8.2.ebuild
new file mode 100644
index 000000000000..77cb4b50a85a
--- /dev/null
+++ b/dev-python/openapi3/openapi3-1.8.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python OpenAPI 3 Specification client and validator"
+HOMEPAGE="
+	https://pypi.org/project/openapi3/
+	https://github.com/Dorthu/openapi3
+"
+SRC_URI="https://github.com/Dorthu/openapi3/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# the fastapi test is broken for fastapi 0.94+
+	rm -f tests/fastapi_test.py || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi3/
@ 2024-05-18  6:23 Michał Górny
  0 siblings, 0 replies; 2+ messages in thread
From: Michał Górny @ 2024-05-18  6:23 UTC (permalink / raw
  To: gentoo-commits

commit:     e4a4f620fd0824025a36c5ecea9bd005352d9d0f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 18 06:17:28 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 18 06:22:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4a4f620

dev-python/openapi3: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi3/openapi3-1.8.2.ebuild | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/dev-python/openapi3/openapi3-1.8.2.ebuild b/dev-python/openapi3/openapi3-1.8.2.ebuild
index 77cb4b50a85a..7a93d407de51 100644
--- a/dev-python/openapi3/openapi3-1.8.2.ebuild
+++ b/dev-python/openapi3/openapi3-1.8.2.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 
 inherit distutils-r1
 
@@ -26,8 +26,7 @@ RDEPEND="
 
 distutils_enable_tests pytest
 
-python_test() {
+EPYTEST_IGNORE=(
 	# the fastapi test is broken for fastapi 0.94+
-	rm -f tests/fastapi_test.py || die
-	epytest
-}
+	tests/fastapi_test.py
+)


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-05-18  6:23 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-05-18  6:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi3/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2023-12-01 15:22 Viorel Munteanu

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox